<?php
namespace Bushelpowered\Api\Aggregator\Accountpayablebalance\V1\Request;
        
class GetAccountPayableBalancesRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var string[]|null $accountIds An array of account identifiers.*/
    public ?array $accountIds = null;
    /** @var null|\Bushelpowered\Api\Accountpayablebalance\V1\Request\AccountPayableBalancePagination $pagination */
    public ?\Bushelpowered\Api\Accountpayablebalance\V1\Request\AccountPayableBalancePagination $pagination = null;

    /**
     * @param  string[]|null  $accountIds An array of account identifiers.
     * @param  null|\Bushelpowered\Api\Accountpayablebalance\V1\Request\AccountPayableBalancePagination  $pagination 
     */
    public function __construct(?array $accountIds, ?\Bushelpowered\Api\Accountpayablebalance\V1\Request\AccountPayableBalancePagination $pagination)
    {
        $this->accountIds = $accountIds;
        $this->pagination = $pagination;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Accountpayablebalance\V1\Request\AccountPayableBalancePagination 
     */
    public function getPagination(): ?\Bushelpowered\Api\Accountpayablebalance\V1\Request\AccountPayableBalancePagination
    {
        return $this->pagination;
    }
}