<?php
namespace Bushelpowered\Api\Businesspages\V1\Request;
        
class CustomPageAssociateFileRequest 
{
    /** @var string $id The id of the file that is attached to a Custom Page.*/
    public string $id;
    /** @var string $name The name of the file that is attached to a Custom Page. Limit of 50 characters.*/
    public string $name;

    /**
     * @param  string  $id The id of the file that is attached to a Custom Page.
     * @param  string  $name The name of the file that is attached to a Custom Page. Limit of 50 characters.
     */
    public function __construct(string $id, string $name)
    {
        $this->id = $id;
        $this->name = $name;
    }
    

}