<?php
namespace Bushelpowered\Api\Data\Analytics\V1\Request;
        
class OverTimeUsageRequest 
{
    /** @var string $companySlug */
    public string $companySlug;
    /** @var null|string $startDate */
    public ?string $startDate = null;
    /** @var null|string $endDate */
    public ?string $endDate = null;

    /**
     * @param  string  $companySlug 
     * @param  null|string  $startDate 
     * @param  null|string  $endDate 
     */
    public function __construct(string $companySlug, ?string $startDate, ?string $endDate)
    {
        $this->companySlug = $companySlug;
        $this->startDate = $startDate;
        $this->endDate = $endDate;
    }
    

}